# Probability Distribution Library for Python

[![PyPI](https://img.shields.io/pypi/v/pdlpy)](https://pypi.org/project/pdlpy)
[![Python Version](https://img.shields.io/pypi/pyversions/pdlpy)](https://python.org)
[![GitHub Build](https://img.shields.io/github/workflow/status/andrebienemann/pdlpy/CI)](https://github.com/andrebienemann/pdlpy/actions/workflows/ci.yml)
[![Codecov](https://img.shields.io/codecov/c/github/andrebienemann/pdlpy)](https://app.codecov.io/gh/andrebienemann/pdlpy)
[![Code Style](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

**Probability Distribution Library for Python** or **pdlpy** for short is a library for simulation and analysis of random processes.

The library provides with the following distributions:
 - Discrete:
   - [Bernoulli](https://en.wikipedia.org/wiki/Bernoulli_distribution)
   - [Binomial](https://en.wikipedia.org/wiki/Binomial_distribution)
   - [Geometric](https://en.wikipedia.org/wiki/Geometric_distribution)
   - [Hypergeometric](https://en.wikipedia.org/wiki/Hypergeometric_distribution)
   - [Poisson](https://en.wikipedia.org/wiki/Poisson_distribution)
 - Continuous:
   - [Exponential](https://en.wikipedia.org/wiki/Exponential_distribution)
   - [Normal](https://en.wikipedia.org/wiki/Normal_distribution)
   - [Uniform](https://en.wikipedia.org/wiki/Continuous_uniform_distribution)

## Installation

Install and update using [pip](https://pip.pypa.io/en/stable/getting-started/):

```shell
$ pip install -U pdlpy
```
## Links
 - PyPI Releases: https://pypi.org/project/pdlpy/
 - Source Code: https://github.com/andrebienemann/pdlpy/
 - Issue Tracker: https://github.com/andrebienemann/pdlpy/issues/
